using Abp.Extensions;
using QuestionSwapDoc.SwapWordModel;

namespace YGNT.QuestionLibrary.Core.Papers
{
    /// <summary>
    /// 纸张大小
    /// </summary>
    public enum PaperSize
    {
        /// <summary>
        /// A4竖向不分栏
        /// </summary>
        A4竖向,
        /// <summary>
        /// A3横向分两栏
        /// </summary>
        A3横向,
    }

    public static class PaperSizeHelper
    {
        public static PaperQue ToPaperQue(this PaperSize paperSize)
        {
            var paperQue = PaperQue.A3横向;
            switch (paperSize)
            {
                case PaperSize.A3横向:
                    paperQue = PaperQue.A3横向;
                    break;
                case PaperSize.A4竖向:
                    paperQue = PaperQue.A4竖向;
                    break;
            }
            return paperQue;
        }
    }
}